2018-11-13 16:54 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003475Talerexchangepublic2018-09-17 11:30
ReporterFlorian Dold 
Assigned ToMarcello Stanisci 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0003475: evil customer testsuite
DescriptionThere should be an "evil" customer testsuite, which tries to trigger edge- or error cases in the exchange implementation.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0012907

Christian Grothoff (manager)

I think the existing Twister tests do some (or most) of this already, we should check code coverage to find out what is missing.

~0013035

Marcello Stanisci (manager)

Yes, I'm just not super happy with the fact that the coverage we trust
is done over the *exchange-lib* instead of the exchange httpd itself.

~0013230

Christian Grothoff (manager)

Indeed, that's not a good way to do the coverage. But is that a fundamental problem? Could we not adjust the scripts to get code coverage over both the exchange-lib and the exchange? Running 'lcov' top-level should to the trick, or not?

~0013232

Christian Grothoff (manager)

I just looked over the code coverage reports, and I think we can consider this one resolved (for the exchange).
+Notes

-Issue History
Date Modified Username Field Change
2014-07-01 18:47 Florian Dold New Issue
2014-07-01 18:47 Florian Dold Status new => assigned
2014-07-01 18:47 Florian Dold Assigned To => Benedikt M.
2015-01-29 16:34 Christian Grothoff Severity minor => feature
2015-03-22 14:32 Christian Grothoff Priority normal => low
2015-03-22 14:33 Christian Grothoff Assigned To Benedikt M. =>
2015-03-22 14:33 Christian Grothoff Status assigned => confirmed
2015-04-13 03:14 Christian Grothoff Product Version => SVN HEAD
2015-04-13 03:14 Christian Grothoff Target Version => 0.6
2016-02-18 15:43 Christian Grothoff Category mint => exchange
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004328
2016-05-04 06:50 Christian Grothoff Description Updated View Revisions
2016-05-04 06:51 Christian Grothoff Relationship added child of 0004454
2018-03-27 17:31 Christian Grothoff Note Added: 0012907
2018-03-27 17:31 Christian Grothoff Assigned To => Christian Grothoff
2018-03-27 17:31 Christian Grothoff Status confirmed => assigned
2018-03-27 17:32 Christian Grothoff Relationship deleted child of 0004454
2018-06-12 09:02 Christian Grothoff Assigned To Christian Grothoff => Marcello Stanisci
2018-06-12 11:03 Marcello Stanisci Note Added: 0013035
2018-09-14 23:26 Christian Grothoff Note Added: 0013230
2018-09-17 11:30 Christian Grothoff Status assigned => resolved
2018-09-17 11:30 Christian Grothoff Resolution open => fixed
2018-09-17 11:30 Christian Grothoff Fixed in Version => 0.6
2018-09-17 11:30 Christian Grothoff Note Added: 0013232
+Issue History